<?php
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
// Author:    Ashley Kitson                                                  //
// Copyright: (c) 2004, Ashley Kitson
// URL:       http://xoobs.net                                      //
// Project:   The XOOPS Project (http://www.xoops.org/)                      //
// Module:    Simple Accounts System (SACC)                                  //
// ------------------------------------------------------------------------- //
/**
* Module installation parameters 
*
* This script conforms to the Xoops standard for xoops_version.php
*
* @author Ashley Kitson http://xoobs.net
* @copyright 2005 Ashley Kitson, UK
* @package SACC
* @subpackage Installation
* @access private
* @version 1
*/

$modversion['name'] = _MI_SACC_NAME;
$modversion['version'] = 1.0;
$modversion['description'] = _MI_SACC_DESC;
$modversion['credits'] = "Ashley Kitson<br />( http://xoobs.net/ )";
$modversion['author'] = "Ashley Kitson";
$modversion['help'] = "sacchelp.html";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "images/sacc_slogo.png";
$modversion['dirname'] = "xbs_sacc";
$modversion['onUninstall'] = "install_funcs.php";
$modversion['onInstall'] = "install_funcs.php";
$modversion['onUpdate'] = "install_funcs.php";

// Sql file (must contain sql generated by phpMyAdmin or phpPgAdmin)
// All tables should not have any prefix!
$modversion['sqlfile']['mysql'] = "sql/xbs_cdm_mysql.sql";
//$modversion['sqlfile']['postgresql'] = "sql/pgsql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0] = "sacc_ac";
$modversion['tables'][1] = "sacc_entry";
$modversion['tables'][2] = "sacc_journ";
$modversion['tables'][3] = "sacc_org";
$modversion['tables'][4] = "sacc_ctrl";
//$modversion['tables'][5] = "sacc_addr";
//$modversion['tables'][6] = "sacc_ac_addr";
//$modversion['tables'][7] = "sacc_bank";

// Main Menu
$modversion['hasMain'] = 1;
$modversion['sub'][1]['name'] = _MI_SACC_SMNAME1;
$modversion['sub'][1]['url'] = "sacc_accounts_list.php";
//Balance sheet and P/L reports are for version 1.3
//$modversion['sub'][2]['name'] = _MI_SACC_SMNAME2;
//$modversion['sub'][2]['url'] = "sacc_bs.php";
//$modversion['sub'][3]['name'] = _MI_SACC_SMNAME3;
//$modversion['sub'][3]['url'] = "sacc_pl.php";
$modversion['sub'][4]['name'] = _MI_SACC_SMNAME3a;
$modversion['sub'][4]['url'] = "sacc_list_journal.php";
$modversion['sub'][5]['name'] = _MI_SACC_SMNAME4;
$modversion['sub'][5]['url'] = "sacc_journal.php";
//$modversion['sub'][6]['name'] = _MI_SACC_SMNAME5;
//$modversion['sub'][6]['url'] = "sacc_org.php";
$modversion['sub'][6]['name'] = _MI_SACC_SMNAME6;
$modversion['sub'][6]['url'] = "sacchelp.php";

// Templates
$modversion['templates'][1]['file'] = 'sacc_list_accounts.tpl';
$modversion['templates'][1]['description'] = 'List accounts and allow edit of details';
//Balance sheet and P/L reports are for version 1.3
//$modversion['templates'][2]['file'] = 'sacc_bs.tpl';
//$modversion['templates'][2]['description'] = 'Display Balance Sheet';
//$modversion['templates'][3]['file'] = 'sacc_pl.tpl';
//$modversion['templates'][3]['description'] = 'Display P&L Report';
$modversion['templates'][2]['file'] = 'sacc_journal_entry.tpl';
$modversion['templates'][2]['description'] = 'Make a journal entry';
$modversion['templates'][3]['file'] = 'sacc_sel_org.tpl';
$modversion['templates'][3]['description'] = 'Select the organisation to work with';
$modversion['templates'][4]['file'] = 'sacc_list_org.tpl';
$modversion['templates'][4]['description'] = 'List organisations and allow edit';
$modversion['templates'][5]['file'] = 'sacc_list_jrn.tpl';
$modversion['templates'][5]['description'] = 'List journal entries and allow edit';
$modversion['templates'][6]['file'] = 'sacc_list_entries.tpl';
$modversion['templates'][6]['description'] = 'List account entries and allow edit';
//$modversion['templates'][4]['file'] = 'sacc_edit_form.tpl';
//$modversion['templates'][4]['description'] = 'General purpose record edit form';

//Balance sheet and P/L reports are for version 1.3
//$modversion['templates'][8]['file'] = 'sacc_bs.tpl';
//$modversion['templates'][8]['description'] = 'Display Balance Sheet';
//$modversion['templates'][9]['file'] = 'sacc_pl.tpl';
//$modversion['templates'][9]['description'] = 'Display P&L Report';

// Admin menu things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

//SACC Configuration items
$modversion['config'][1]['name'] = 'def_currency';
$modversion['config'][1]['title'] = '_MI_SACC_DEFCURRNAME';
$modversion['config'][1]['description'] = '_MI_SACC_DEFCURRNAMEDESC';
$modversion['config'][1]['formtype'] = 'select';
$modversion['config'][1]['valuetype'] = 'text';
$modversion['config'][1]['default'] = 'GBP';
$modversion['config'][1]['options'] = array(
'ADP - Andorra Peseta' => 'ADP',
'AED - UAE Dirham' => 'AED',
'AFA - Afghanistan Afghani' => 'AFA',
'ALL - Albania Lek' => 'ALL',
'AMD - Armenia Dram' => 'AMD',
'AMS - Armenia Dram' => 'AMS',
'ANG - Netherlands Antillian Guilder' => 'ANG',
'AOK - Angola Kwanza' => 'AOK',
'AON - Angola New Kwanza' => 'AON',
'AOR - Angola Kwanza Reajustado' => 'AOR',
'ARA - Argentina Austral' => 'ARA',
'ARP - Argentina Peso' => 'ARP',
'ATS - Austria Schilling' => 'ATS',
'AUD - Australia Dollar' => 'AUD',
'AWF - Aruba Florin' => 'AWF',
'AWG - Aruba Guilder' => 'AWG',
'AZM - Azerbaijan Manat' => 'AZM',
'AZS - Azerbaijan Manat' => 'AZS',
'BAD - Bosnia Dinar' => 'BAD',
'BAM - Bosnia Convertible Mark' => 'BAM',
'BBD - Barbados Dollar' => 'BBD',
'BDT - Bangladesh Taka' => 'BDT',
'BEC - Convertible Franc' => 'BEC',
'BEF - Belgium Franc' => 'BEF',
'BEL - Financial Franc' => 'BEL',
'BES - Belarus Ruble' => 'BES',
'BGL - Bulgaria Lev' => 'BGL',
'BHD - Bahrain Dinar' => 'BHD',
'BIF - Burundi Franc' => 'BIF',
'BMD - Bermuda Dollar' => 'BMD',
'BND - Brunei Darussalam Dollar' => 'BND',
'BOB - Bolivia Boliviano' => 'BOB',
'BOP - Bolivia Boliviano' => 'BOP',
'BOV - Bolivia Mvdol' => 'BOV',
'BPS - Canton and Enderbury Pound' => 'BPS',
'BRC - Brazil Cruzeiro' => 'BRC',
'BRL - Brazil Real' => 'BRL',
'BRR - Brazil Real' => 'BRR',
'BSD - Bahamas Dollar' => 'BSD',
'BTN - Bhutam Ngultrum' => 'BTN',
'BTR - Bhutan Rupee' => 'BTR',
'BUK - Burma Kyat' => 'BUK',
'BWP - Botswana Pula' => 'BWP',
'BYB - Belarus Ruble' => 'BYB',
'BYR - Belarus Ruble' => 'BYR',
'BZD - Belize Dollar' => 'BZD',
'CAD - Canada Dollar' => 'CAD',
'CDF - DRC Franc' => 'CDF',
'CFP - CFP Franc' => 'CFP',
'CHF - Swiss Franc' => 'CHF',
'CLF - Chile Unidades de fomento' => 'CLF',
'CLP - Chile Peso' => 'CLP',
'CNY - China Yuan Renminbi' => 'CNY',
'COP - Colombia Peso' => 'COP',
'CRC - Costa Rica Colon' => 'CRC',
'CSK - Czech Republic Koruna' => 'CSK',
'CUP - Cuba Peso' => 'CUP',
'CVE - Cape Verde Escudo' => 'CVE',
'CYP - Cyprus Pound' => 'CYP',
'CZK - Czech Republic Koruna' => 'CZK',
'DEM - Germany Mark' => 'DEM',
'DJF - Djibouti Franc' => 'DJF',
'DKK - Denmark Krone' => 'DKK',
'DOP - Dominican Republic Peso' => 'DOP',
'DZD - Algeria Dinar' => 'DZD',
'ECS - Ecuador Sucre' => 'ECS',
'ECV - Ecuador Valor Constante' => 'ECV',
'EEK - Estonia Kroon' => 'EEK',
'EGP - Egypt Pound' => 'EGP',
'ERN - Eritrea Nakfa' => 'ERN',
'ESB - Convertible Peseta' => 'ESB',
'ESP - Spain Peseta' => 'ESP',
'ESS - Ecuador Sucre' => 'ESS',
'ETB - Ethiopia Birr' => 'ETB',
'EUR - European Spot' => 'EUR',
'FIM - Finland Markka' => 'FIM',
'FJD - Fiji Dollar' => 'FJD',
'FKP - Falkland Islands Pound' => 'FKP',
'FRF - France Franc' => 'FRF',
'GBP - England Pound Sterling' => 'GBP',
'GEL - Georgia Lari' => 'GEL',
'GHC - Ghana Cedi' => 'GHC',
'GIP - Gibraltar Pound' => 'GIP',
'GMD - Ghambia Dalasi' => 'GMD',
'GNF - Guinea Franc' => 'GNF',
'GNS - Guinea Franc' => 'GNS',
'GRD - Greece Drachma' => 'GRD',
'GTQ - Guatemala Quetzal' => 'GTQ',
'GWP - Guinea-Bissau Peso' => 'GWP',
'GYD - Guyana Dollar' => 'GYD',
'HKD - Hong Kong Dollar' => 'HKD',
'HNL - Honduras Lempira' => 'HNL',
'HRK - Croatia Kuna' => 'HRK',
'HTG - Haiti Gourde' => 'HTG',
'HUF - Hungary Forint' => 'HUF',
'IDR - Indonesia Rupiah' => 'IDR',
'IEP - Ireland Punt' => 'IEP',
'ILS - Israel Shekel' => 'ILS',
'INR - India Rupee' => 'INR',
'IQD - Iraq Dinar' => 'IQD',
'IRR - Iran Rial' => 'IRR',
'ISK - Iceland Krona' => 'ISK',
'ISS - Israel Shekel' => 'ISS',
'ITL - Italy Lira' => 'ITL',
'JMD - Jamaica Dollar' => 'JMD',
'JOD - Jordan Dinar' => 'JOD',
'JPY - Japan Yen' => 'JPY',
'KES - Kenya Shilling' => 'KES',
'KGS - Kyrgyzstan Som' => 'KGS',
'KHR - Cambodia Riel' => 'KHR',
'KMF - Comoros Franc' => 'KMF',
'KPW - North Korea Won' => 'KPW',
'KRW - South Korea Won' => 'KRW',
'KTS - Kazakhstan Tenge' => 'KTS',
'KWD - Kuwait Dinar' => 'KWD',
'KYD - Cayman Islands Dollar' => 'KYD',
'KYS - Kyrgyzstan Som' => 'KYS',
'KZT - Kazakhstan Tenge' => 'KZT',
'LAK - Laos Kip' => 'LAK',
'LBP - Lebanon Pound' => 'LBP',
'LKR - Sri Lanka Rupee' => 'LKR',
'LRD - Liberia Dollar' => 'LRD',
'LSL - Lesotho Loti' => 'LSL',
'LTL - Lithuania Lita' => 'LTL',
'LTT - Lithuania Lita' => 'LTT',
'LUF - Luxembourg Franc' => 'LUF',
'LVL - Latvia Lat' => 'LVL',
'LVR - Latvia Lat' => 'LVR',
'LYD - Libya Dinar' => 'LYD',
'MAD - Morocco Dirham' => 'MAD',
'MDL - Moldova Leu' => 'MDL',
'MGF - Madagascar Malagasy Franc' => 'MGF',
'MKD - Macedonia Denar' => 'MKD',
'MMK - Myanmar Kyat' => 'MMK',
'MNT - Mongoloa Tugrik' => 'MNT',
'MOP - Macau Pataca' => 'MOP',
'MRO - Mauritania Ouguiya' => 'MRO',
'MTL - Malta Lira' => 'MTL',
'MUR - Mauritius Rupee' => 'MUR',
'MVR - Malidives Rufiyaa' => 'MVR',
'MVS - Moldova Leu' => 'MVS',
'MWK - Malawi Kwacha' => 'MWK',
'MXP - Mexico Peso' => 'MXP',
'MXV - Mexico Unidad de Inversion' => 'MXV',
'MYR - Malaysia Ringgit' => 'MYR',
'MZM - Mozambique Metical' => 'MZM',
'NAD - Namibia Dollar' => 'NAD',
'NGN - Nigeria Naira' => 'NGN',
'NIC - Nicaragua Cordoba Oro' => 'NIC',
'NIO - Nicaragua Cordoba Oro' => 'NIO',
'NLG - Netherlands Guilder' => 'NLG',
'NOK - Norway Kroner' => 'NOK',
'NPR - Nepal Rupee' => 'NPR',
'NZD - New Zealand Dollar' => 'NZD',
'OMR - Oman Sul Rial' => 'OMR',
'PAB - Panama Balboa' => 'PAB',
'PEI - Inti' => 'PEI',
'PEN - Peru Nuevo Sol' => 'PEN',
'PGK - Papau New Guinea Kina' => 'PGK',
'PHP - Philippines Peso' => 'PHP',
'PKR - Pakistan Rupee' => 'PKR',
'PLN - Poland Zloty' => 'PLN',
'PLZ - Poland Zloty' => 'PLZ',
'PSS - Peru Nuevo Sol' => 'PSS',
'PTE - Portugal Escudo' => 'PTE',
'PYG - Paraguay Guarani' => 'PYG',
'QAR - Qatar Rial' => 'QAR',
'ROL - Romania Leu' => 'ROL',
'RUB - Russian Federation Ruble' => 'RUB',
'RUR - Russian Federation Ruble' => 'RUR',
'RWF - Rwanda Franc' => 'RWF',
'SAR - Saudi Arabia Riyal' => 'SAR',
'SBD - Solomon Islands Dollar' => 'SBD',
'SCR - Seychelles Rupee' => 'SCR',
'SDD - Sudan Dinar' => 'SDD',
'SEK - Sweden Krona' => 'SEK',
'SGD - Singapore Dollar' => 'SGD',
'SHP - Saint Helena Pound' => 'SHP',
'SIT - Slovenia Tolar' => 'SIT',
'SKK - Slovakia Koruna' => 'SKK',
'SLL - Sierra Leone Leone' => 'SLL',
'SOS - Somalia Shilling' => 'SOS',
'SRG - Suriname Guilder' => 'SRG',
'STD - Sao Tome and Principe Dobra' => 'STD',
'SUR - Russian Federation Rouble' => 'SUR',
'SVC - El Salvador Colon' => 'SVC',
'SYP - Syria Pound' => 'SYP',
'SZL - Swaziland Lilangeni' => 'SZL',
'THB - Thailand Baht' => 'THB',
'TJR - Tajikistan Ruble' => 'TJR',
'TMM - Turkmenistan Manat' => 'TMM',
'TND - Tunisia Dinar' => 'TND',
'TOP - Tonga Pa\'anga' => 'TOP',
'TPE - East Timor Escudo' => 'TPE',
'TRL - Turkey Lira' => 'TRL',
'TTD - Trinidad and Tobago Dollar' => 'TTD',
'TWD - Taiwan Dollar' => 'TWD',
'TZS - Tanzania Shilling' => 'TZS',
'UAH - Ukraine Hryvnia' => 'UAH',
'UAK - Ukraine Hryvnia' => 'UAK',
'UGS - Uganda Shilling' => 'UGS',
'UGX - Uganda Shilling' => 'UGX',
'USD - USA Dollar' => 'USD',
'USN - USA Dollar (Next Day)' => 'USN',
'USS - USA Dollar (Same Day)' => 'USS',
'UYP - Uruguay Peso' => 'UYP',
'UYU - Uruguay Peso' => 'UYU',
'UZS - Uzbekistan Som' => 'UZS',
'VEB - Venezuela Bolivar' => 'VEB',
'VND - Viet Nam Dong' => 'VND',
'VUV - Vanuatu Vatu' => 'VUV',
'WST - Western Samoa Tala' => 'WST',
'XAF - CFA Franc BEAC' => 'XAF',
'XAG - New York Silver Ounces' => 'XAG',
'XAU - New York Gold Ounces' => 'XAU',
'XBA - European Composite (EURCO)' => 'XBA',
'XBB - European Monetary (EMU-6)' => 'XBB',
'XBC - European Account 9 (EUA-9)' => 'XBC',
'XBD - European Account 17 (EUA-17)' => 'XBD',
'XCD - East Caribbean Dollar' => 'XCD',
'XDR - I.M.F. Special Drawing Right' => 'XDR',
'XEC - East Caribbean Dollar' => 'XEC',
'XEU - European Currency Unit (ECU)' => 'XEU',
'XFO - Gold-Franc' => 'XFO',
'XOF - CFA Franc BCEAO' => 'XOF',
'XPD - New York Palladium Ounces' => 'XPD',
'XPF - CFP Franc' => 'XPF',
'YDD - Yemen Dinar' => 'YDD',
'YER - Yemen Rial' => 'YER',
'YUN - Yugoslavia New Dinar' => 'YUN',
'ZAL - Lesotho Financial Rand' => 'ZAL',
'ZAR - South Africa Rand' => 'ZAR',
'ZMK - Zambia Kwacha' => 'ZMK',
'ZRN - Zaire New Zaire' => 'ZRN',
'ZRZ - Zaire Zaire' => 'ZRZ');

$modversion['config'][2]['name'] = 'def_org';
$modversion['config'][2]['title'] = '_MI_SACC_DEFORGNAME';
$modversion['config'][2]['description'] = '_MI_SACC_DEFORGNAMEDESC';
$modversion['config'][2]['formtype'] = 'textbox';
$modversion['config'][2]['valuetype'] = 'int';
$modversion['config'][2]['default'] = 1;

$modversion['config'][3]['name'] = 'use_parent';
$modversion['config'][3]['title'] = '_MI_SACC_USEPRNTNAME';
$modversion['config'][3]['description'] = '_MI_SACC_USEPRNTNAMEDESC';
$modversion['config'][3]['formtype'] = 'yesno';
$modversion['config'][3]['valuetype'] = 'int';
$modversion['config'][3]['default'] = 0;

$modversion['config'][4]['name'] = 'dec_point';
$modversion['config'][4]['title'] = '_MI_SACC_DECPNTNAME';
$modversion['config'][4]['description'] = '_MI_SACC_DECPNTNAMEDESC';
$modversion['config'][4]['formtype'] = 'textbox';
$modversion['config'][4]['valuetype'] = 'int';
$modversion['config'][4]['default'] = 2;

//Search things
$modversion['hasSearch'] = 0;

//User comments things
$modversion['hasComments'] = 0;

//Module notification things
$modversion['hasNotification'] = 0;

// Blocks
$modversion['blocks'][1]['file'] = 'sacc_block_balances.php';
$modversion['blocks'][1]['name'] = _MI_SACC_BLOCK_BALANCENAME;
$modversion['blocks'][1]['description'] = _MI_SACC_BLOCK_BALANCEDESC;
$modversion['blocks'][1]['show_func'] = "b_sacc_balances_show";
$modversion['blocks'][1]['edit_func'] = "b_sacc_balances_edit";
$modversion['blocks'][1]['options'] = "1"; //Organisation ID
$modversion['blocks'][1]['template'] = "sacc_block_balances.tpl" ;

?>
